/* 
talkthru.c
Michael G. Morrow, 2005
talkthru demo program 
*/                                  

#include <c6x.h>
#include "..\c6x11dsk.h"   
#include "..\support.h"
#include "..\winDSK6_def.h"
#include "hpi.h"

int main()
{    
  	CSR=0x100;			        	       /* disable all interrupts  */ 
  	IER=0;

	while(HPI_Block.CODEC < 0) /* wait for host to set codec type */
		;
	
	HPI_Block.SampleFreq = InitSerialComm(HPI_Block.CODEC); // init codec

  	ICR = 0xffff;       /* clear all pending interrupts */
  	CSR |= 1;           /* set GIE */
  	
  	while(1) { /* main stalls here */
  		HandleHostCodecFlags(HPI_Block);
   	}   
}
