
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the C6XCONTROL_DLL_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// C6XCONTROL_DLL_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef C6XCONTROL_DLL_EXPORTS
#define C6XCONTROL_DLL_API __declspec(dllexport)
#else
#define C6XCONTROL_DLL_API __declspec(dllimport)
#endif

#include "winDSK8_stdtypes_win.h"
#include "DSP\\windsk6_enums.h"

extern "C" { // C name exports

C6XCONTROL_DLL_API bool   C6XCONTROL_StartUp(); // must be called on start
C6XCONTROL_DLL_API Int32  C6XCONTROL_ResetDsk(void);
C6XCONTROL_DLL_API bool   C6XCONTROL_ResetAndRunCOFF(const Int8 *, bool); 
C6XCONTROL_DLL_API bool   C6XCONTROL_ResetAndOpenHPI();
C6XCONTROL_DLL_API bool   C6XCONTROL_ResetAndOpenHPI_Only();
C6XCONTROL_DLL_API bool   C6XCONTROL_Run(); 
C6XCONTROL_DLL_API Uint32 C6XCONTROL_getVersion();

C6XCONTROL_DLL_API void   C6XCONTROL_setDSP(DSP_VERSION);
C6XCONTROL_DLL_API void   C6XCONTROL_setLptPort(PrinterPortNumbers, PrinterPortModes);
C6XCONTROL_DLL_API void   C6XCONTROL_setComPort(ComPortNumbers, ComSpeeds);

C6XCONTROL_DLL_API Uint32 C6XCONTROL_getHPI_BaseAddress();
C6XCONTROL_DLL_API bool   C6XCONTROL_Write(Uint32, Uint32, Uint32 *);
C6XCONTROL_DLL_API bool   C6XCONTROL_Read(Uint32, Uint32, Uint32 *);
C6XCONTROL_DLL_API bool   C6XCONTROL_WriteFloat(Uint32, Uint32, float *);
C6XCONTROL_DLL_API bool   C6XCONTROL_ReadFloat(Uint32, Uint32, float *);

C6XCONTROL_DLL_API bool   C6XCONTROL_GetSymbolValue(const Int8 *, Uint32 *);

C6XCONTROL_DLL_API bool   C6XCONTROL_LoadCOFF(const Int8 *);
}