/* 
hpi.h
Michael G. Morrow, 2001
HPI shared memory block for host communications
*/                                  

#include "..\winDSK6_def.h"  
        
/* declare HPI data structure */
typedef volatile struct {
	/* codec support data */
	volatile unsigned int SecCommFlag;
	volatile unsigned int SecCommData;
	volatile unsigned int TimerFlag;
	volatile unsigned int TimerDivider;
	volatile int CODEC;
	volatile float SampleFreq;

	/* application specific data */
	volatile float Gain;
} HPI_Memory_Block;
     
extern HPI_Memory_Block HPI_Block; /* defined in hpi.c */    
