/*
codec.h
talk-thru code with
support for TLC320AD535 and PCM300X_16bit codecs
Michael G. Morrow, 2001  
*/

#include "..\c6x11dsk.h"

#define PRI_COMM         	0
#define SEC_COMM_PENDING 	1
#define SEC_COMM_REQD    	2                             

#define I2S_MASTER			1
#define I2S_SLAVE			0                          

/* ADC range (16-bits) */ 
#define MAX_ADC				(32767)
#define MIN_ADC				(-32768)

void Init_McBSP(McBSP *, int);

/* PCM300x_16bit code */
//void Init_McBSP1(int); 
void Init_Timer1(void);
void Send(void);
                                      
/* TLC320AD535 code */                                                      
void Init_McBSP0(); 
void RequestSecCommWrite(unsigned int);
unsigned int RequestSecCommRead(unsigned int);
